#include <bits/stdc++.h>
using namespace std;
float chia(int n)
{
	if(n==1) return 1; else return (float(1)/n)+chia(n-1);
}

int tich(int s)
{
	int a,t=1;
	if(s>=2) for(a=2;a<=s;a=a+2) t=t*a;
	return t;
}

float cong(int s)
{
	if(s==0) return 1; else return float(1)/tich(s)+cong(s-2);
}
int main ()
{
	int N;
	ifstream f1("DQAB.INP");
	ofstream f2("DQAB.OUT");
	f1>>N;
	int S=N*2;
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(3);
	f2<<chia(N)<<endl<<cong(S);
	f1.close();
	f2.close();
}
